
#include <stdio.h>
#include <stdlib.h>

#include <Application.h>
#include <OS.h>
#include <Window.h>
#include <View.h>

#define APPLICATION_SIGNATURE		"application/KT-serverside-tester"

class MainView : public BView
{
public:
	MainView(BRect rc);
	void Draw(BRect updateRect);
	void MouseDown(BPoint where);
private:
	int fNumClicks;
};

class MainWindow : public BWindow
{
public:
	MainWindow(BRect frame);
	
	virtual void MessageReceived(BMessage *msg);
	virtual bool QuitRequested();
	
private:
	MainView *fMainView;
};

// the application class
class MyApp : public BApplication
{
public:
	MyApp();
	MainWindow *fMainWindow;
};
